MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023529Community[OCCT] OCCT:Visualizationpublic2012-11-08 18:302013-04-29 15:21
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023529: Uninitialized variable: aSurfType - AIS_DiameterDimension.cxx , line 339
DescriptionA customized action is taken only if 'aSurfType == AIS_KOS_Plane', so it is probably enough to initialize the variable as AIS_KOS_OtherSurface.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022174)
Pawel (developer)
2012-11-09 13:33

Branch CR23529 pushed. Please review.
(0022712)
san (developer)
2012-12-14 19:01

Branch CR23529 reviewed without remarks, ready for testing.
(0022734)
mkv (tester)
2012-12-17 18:23

Dear BugMaster,

Branch CR23529 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master f5a6ee3c
Timestamp: 2012-11-09 09:24:50
Author: Pawel
Details ] Diff ]
0023529: Uninitialized variable: aSurfType - AIS_DiameterDimension.cxx , line 339

Initialized the variable 'aSurfType'.
mod - src/AIS/AIS_DiameterDimension.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-08 18:30 Pawel New Issue
2012-11-08 18:30 Pawel Assigned To => Pawel
2012-11-09 13:33 Pawel Note Added: 0022174
2012-11-09 13:33 Pawel Assigned To Pawel => bugmaster
2012-11-09 13:33 Pawel Status new => resolved
2012-11-22 10:27 bugmaster Assigned To bugmaster => san
2012-12-14 19:01 san Note Added: 0022712
2012-12-14 19:01 san Assigned To san => bugmaster
2012-12-14 19:01 san Status resolved => reviewed
2012-12-14 19:23 mkv Assigned To bugmaster => mkv
2012-12-17 18:23 mkv Note Added: 0022734
2012-12-17 18:23 mkv Test case number => Not needed
2012-12-17 18:23 mkv Assigned To mkv => bugmaster
2012-12-17 18:23 mkv Status reviewed => assigned
2012-12-17 18:23 mkv Status assigned => resolved
2012-12-17 18:24 mkv Status resolved => reviewed
2012-12-17 18:24 mkv Status reviewed => tested
2012-12-24 17:23 Pawel Changeset attached => occt master f5a6ee3c
2012-12-24 17:23 Pawel Assigned To bugmaster => Pawel
2012-12-24 17:23 Pawel Status tested => verified
2012-12-24 17:23 Pawel Resolution open => fixed
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker